+++
license = "CC-BY-SAv4.0"
title = "Developer Guide"
weight = 100
aliases = [ "/old-developer/latest/index.html", "/old-developer/v2019/index.html", "/old-developer/v2020/index.html", "/old-developer/v2021pre/index.html", "/old-developer/v2022dev0/index.html",]
outputs = [ "html", "pdf-in",]
+++

The [FOSS](https://en.wikipedia.org/wiki/Free_and_open-source_software) ([Free](http://en.wikipedia.org/wiki/Free_software) and [open source](http://en.wikipedia.org/wiki/Open-source_software)) GNU/Linux-based Apertis platform provides a set of APIs and services that allow you to create automotive information and entertainment apps.  These APIs and services are made available in the Apertis SDK.

The SDK is a linux virtual machine running a standard desktop environment on
top of the Apertis distribution.  It contains Apertis development libraries,
developer tools, documentation, debugging libraries and the Apertis simulator.
The SDK VM image can be run on Windows, Mac OS, or different Linux
distributions using the virtualization software
[VirtualBox]( {{< ref "virtualbox.md" >}} ).

### Next

* **Questions?** Read the [FAQ]( {{< ref "faq.md" >}} ).
* **Ready to start development?** [Install the SDK]( {{< ref "virtualbox.md" >}} ).
* **Want to create or update Apertis apps?**  Find out [What's new in the latest version of Apertis]( {{< ref "#whats-new-in-this-version" >}} ) or use the [API quick links]( {{< ref "#apertis-api-quick-links" >}} ) below.
* **Ready to distribute your app?**  Continue on to [Distribution]( {{< ref "canterbury-legacy-application-framework.md" >}} ).

## Support

If you encounter any problems using the SDK and need help, please send us an email at <sdk-support@apertis.org>.

