+++
short-description = "How to build your first application"
license = "CC-BY-SAv4.0"
title = "Application Development: Hello World"
weight = 100
aliases = [ "/old-developer/latest/appdev-hello-world.html", "/old-developer/v2019/appdev-hello-world.html", "/old-developer/v2020/appdev-hello-world.html", "/old-developer/v2021pre/appdev-hello-world.html", "/old-developer/v2022dev0/appdev-hello-world.html",]
outputs = [ "html", "pdf-in",]
date = "2016-04-22"
+++

The SDK comes with the Eclipse IDE installed, which the application developers can use to import, build and test any sample application. The imported sample application acts as a reference and further additions and modifications can be made to it.

Here is a diagram outlining the project configuration process:

![](/images/image3.png)

These are steps to be followed to import a sample application into the workspace:

* Open the Eclipse IDE by double clicking on this icon on the desktop of your SDK:

    ![](/images/image4.png)

* In Eclipse IDE select **Menu**→**File**→**Import**. You will see a dialog like the one below:

    ![](/images/image5.png)

* Select **General**→**Existing Projects into Workspace**.  Click **Next**. Select one of the subfolders of the `/home/user/sample-applications` directory. See the dialog below for details.

    ![](/images/image6.png)

* Click on **Finish**, the sample application will be imported and configuration will start automatically as shown below (check the debugs in console).

    ![](/images/image7.png)

* To build the project, right click on the project and select **Build Project**.

    ![](/images/image8.png)

* The project should build without any errors:

    ![](/images/image9.png)

### Install via Eclipse

* After successful build of the project, right click on the project and select **Install (Native)** option. The selected project will be installed on the simulator.

    ![](/images/image10.png)

### Uninstalling code examples via Eclipse

To uninstall the code examples via Eclipse follow the below steps:

  * Right click on the project which you want to uninstall and select Uninstall (Native).
  ![](/images/image11.png)

### Next

- **Want to find out more about the technologies available to applications in the Apertis environment?** Read about [Apertis technologies]( {{< ref "sdk-techs.md" >}} ).
- **Need a quick reference for the Apertis platform APIs?** View the [Apertis API reference pages]( {{< ref "apis.md" >}} )
- **Ready to use the Apertis Development Environment?** Continue on to building and debugging with [the ADE tool]( {{< ref "appdev-ade.md" >}} )
